Page MenuHomePhabricator

UploadWizard throws error when navigating away from file step
Closed, ResolvedPublic

Description

Steps to repro:

Stack trace in debug mode:

Uncaught TypeError: Cannot read property 'length' of undefined
uw.controller.Step.js:290 SP.isComplete
mw.UploadWizard.js:417 (anonymous function)
load.php?debug=true&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20150330T23…:392 Query.extend.each
mw.UploadWizard.js:416 mw.UploadWizard.isComplete
mw.UploadWizard.js:81 mw.UploadWizard.allowCloseWindow.mw.confirmCloseWindow.test
mediawiki.confirmCloseWindow.js:40 (anonymous function)
load.php?debug=true&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20150330T23…:4665 jQuery.event.dispatch
load.php?debug=true&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20150330T23…:4333 jQuery.event.add.elemData.handle

Given this only happens on unload, probably harmless.

Event Timeline

Tgr created this task.Mar 31 2015, 9:59 AM
Tgr raised the priority of this task from to Lowest.
Tgr updated the task description. (Show Details)
Tgr added a project: UploadWizard.
Tgr added a subscriber: Tgr.
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 31 2015, 9:59 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

This is coming from recently merged code, probably a trivial fix.

Tgr claimed this task.Apr 1 2015, 11:53 AM
Tgr raised the priority of this task from Lowest to Normal.

Should be fixed + backported before error logging is deployed, otherwise we'll get a bunch of false positives.

Gilles claimed this task.Apr 1 2015, 12:44 PM

Change 201179 had a related patch set uploaded (by Gilles):
Fix JS error happening when navigating away while on file step

https://gerrit.wikimedia.org/r/201179

Change 201179 merged by jenkins-bot:
Fix JS error happening when navigating away while on file step

https://gerrit.wikimedia.org/r/201179

Change 201937 had a related patch set uploaded (by Gilles):
Fix JS error happening when navigating away while on file step

https://gerrit.wikimedia.org/r/201937

Change 201937 merged by jenkins-bot:
Fix JS error happening when navigating away while on file step

https://gerrit.wikimedia.org/r/201937

Change 201941 had a related patch set uploaded (by Gilles):
Backport UploadWizard bugfix

https://gerrit.wikimedia.org/r/201941

Change 201941 merged by Anomie:
Backport UploadWizard bugfix

https://gerrit.wikimedia.org/r/201941

Tgr closed this task as Resolved.Apr 22 2015, 8:16 PM

Gilles fixed this a while ago, I just forgot to close it.